Source: ruby-multipart-post
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Praveen Arimbrathodiyil <praveen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-multipart-post.git
#Vcs-Browser: http://anonscm.debian.org/?p=pkg-ruby-extras/ruby-multipart-post.git;a=summary
Homepage: https://github.com/nicksieger/multipart-post
XS-Ruby-Versions: all

Package: ruby-multipart-post
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Description: multipart form post accessory for Net::HTTP
 Adds a streamy multipart form post capability to Net::HTTP. Also
 supports other methods besides POST.
 .
 FEATURES/PROBLEMS:
 .
  * Appears to actually work. A good feature to have.
  * Encapsulates posting of file/binary parts and name/value parameter parts,
    similar to most browsers' file upload forms.
  * Provides an UploadIO helper class to prepare IO objects for inclusion in
    the params hash of the multipart post object
